Bug 506972 - Proposal for improvements of gnome-mouse-properties (and related) touchpad settings
Proposal for improvements of gnome-mouse-properties (and related) touchpad se...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Pete Graner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 11:56 EDT by Jonas Wielicki
Modified: 2010-06-28 09:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Wielicki 2009-06-19 11:56:21 EDT
Description of problem:
The settings you can make in the system-config-mouse gui related to touchpads are quite interesting and helpful. I have some ideas though which might be interesting.
1. While dragging around files, I noticed that the "disable touchpad while typing" function reacts on modifier keys like shift and ctrl, which is quite unsuitable when you are selecting files in nautilus or alike.
2. It would be fine if one could adjust the time after which the touchpad is reactivated. I think that the default time is a bit too long for me, I would like to lower it. 

Version-Release number of selected component (if applicable):
Unknown option --version ;)

How reproducible:
Just enable the "Disable touchpad while typing" option in the gnome-mouse-properties application and play around with files.

Steps to Reproduce:
1. open the gnome-mouse-properties
2. switch to "Touchpad" tab
3. activate "Disable touchpad while typing"
4. open any file manager
5. try to select files using ctrl and shift for multiselection
6. notice that you have to wait for the reactivation delay to expire before you can select a file after having pressed ctrl
  
Actual results:
Touchpad gets disabled when pressing ctrl / shift.
Some less important delays caused by a not free configurable reactivation delay.

Expected results:
Flawless file selection operation because the touchpad does not get disabled by ctrl / shift.

Additional info:
thanks in advance, if this gets implemented. you fedora guys rock =)
Eh, and I hope the selected component was correct. I am not sure about this, since I did not find gnome-mouse-properties in the list.... (the script runs quite laggy here)
Comment 1 Bug Zapper 2010-04-27 11:05:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:09:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.